| Kea 3.0.2-git

isc::radius::IntCstDef Class Reference

RADIUS integer constant definitions. More...

`#include <client_dictionary.h>`

## Public Member Functions
| IntCstDef (const uint8_t type, const std::string &name, const uint32_t value)
| Constructor.

## Public Attributes
const std::string | name_
| name.
const uint8_t | type_
| attribute type.
const uint32_t | value_
| value.

## Detailed Description

RADIUS integer constant definitions.

Definition at line 82 of file client_dictionary.h.

## Constructor & Destructor Documentation

## ◆ IntCstDef()

isc::radius::IntCstDef::IntCstDef | ( | const uint8_t | type,
|  | const std::string & | name,
|  | const uint32_t | value )
| inline

Constructor.

Parameters

  type | attribute type.
  name | integer constant name.
  value | integer constant value.

Definition at line 90 of file client_dictionary.h.

References name_, type_, and value_.

## Member Data Documentation

## ◆ name_

const std::string isc::radius::IntCstDef::name_

name.

Definition at line 99 of file client_dictionary.h.

Referenced by IntCstDef().

## ◆ type_

const uint8_t isc::radius::IntCstDef::type_

attribute type.

Definition at line 96 of file client_dictionary.h.

Referenced by IntCstDef().

## ◆ value_

const uint32_t isc::radius::IntCstDef::value_

value.

Definition at line 102 of file client_dictionary.h.

Referenced by IntCstDef().

The documentation for this class was generated from the following file:

- client_dictionary.h